Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.probe.aspectj.operationExecution
Class AbstractOperationExecutionAspect

    java.lang.Object
      kieker.monitoring.probe.aspectj.AbstractAspectJProbe
          kieker.monitoring.probe.aspectj.operationExecution.AbstractOperationExecutionAspect

All Implemented Interfaces:
  IMonitoringProbe

Direct Known Subclasses:
  AbstractOperationExecutionAspectServlet, OperationExecutionAspectAnnotation, OperationExecutionAspectFull, OperationExecutionAspectFullNoGetterAndSetter

    public abstract class AbstractOperationExecutionAspect

extends AbstractAspectJProbe

Since:
  1.3
Author:
  Andre van Hoorn, Jan Waller

Constructor Summary
`AbstractOperationExecutionAspect()`

Method Summary
`abstract void` | `monitoredOperation()` The pointcut for the monitored operations.
`Object` | `operation(org.aspectj.lang.ProceedingJoinPoint thisJoinPoint)`

Methods inherited from class kieker.monitoring.probe.aspectj.AbstractAspectJProbe
`getter, noGetterAndSetter, notWithinKieker, setter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractOperationExecutionAspect

    public AbstractOperationExecutionAspect()

Method Detail

### monitoredOperation

    public abstract void monitoredOperation()

  The pointcut for the monitored operations. Inheriting classes should extend the pointcut in order to find the correct executions of the methods (e.g. all methods or only methods with specific annotations).

### operation

    public Object operation(org.aspectj.lang.ProceedingJoinPoint thisJoinPoint)
                     throws Throwable

  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net